# $Revision: 1.12 $, $Date: 2002/08/18 13:39:08 $
Summary:	PCMCIA wireless microwave network card services
Summary(pl):	Obsuga mikrofalowych kart sieciowych PCMCIA
Name:		linux-wlan
Version:	0.3.4
Release:	5
License:	MPL
Group:		Applications/System
Source0:	http://www.linux-wlan.com/linux-wlan/%{name}-%{version}.tar.gz
Patch0:		%{name}.pld.patch
URL:		http://www.linux-wlan.com/
Prereq:		pcmcia-cs
ExcludeArch:	sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The pcmcia-cs package adds microwave wirelless PCMCIA networks cards
handling support for your PLD-Linux system.

%description -l pl
Pakiet pcmcia-cs zawiera programy wspierajce obsug mikrofalowych
kart sieciowych PCMCIA w Twoim PLD-Linuksie.

%prep
%setup -q
%patch0 -p0

%build
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/pcmcia}

install wlanctl/wlanctl $RPM_BUILD_ROOT/sbin
install wlandump/wlandump $RPM_BUILD_ROOT/sbin
install scripts/wla* $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia
install man/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/wlan.config /$RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/wlan.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/pcmcia ]; then
	/etc/rc.d/init.d/pcmcia restart 2> /dev/null
else
	echo "Run \"/rc.d/init.d/pcmcia start\" to start pcmcia cardbus daemon."
fi

%postun
if [ "$1" = "0" ]; then
	if [ -f /var/state/run/pcmcia ]; then
		/etc/rc.d/init.d/pcmcia restart 2> /dev/null
	fi
fi

%files
%defattr(644,root,root,755)
%doc SUPPORTED.CARDS CHANGES COPYING README FAQ.isa README.debug README.isa
%doc README.linuxppc README.wep TODO THANKS
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_sysconfdir}/pcmcia/wlan
%attr(644,root,root) %{_sysconfdir}/pcmcia/wlan.conf
%attr(600,root,root) %config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/wlan.opts
%attr(600,root,root) %config %verify(not size mtime md5) %{_sysconfdir}/pcmcia/wlan.network.opts
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: linux-wlan.spec,v $
Revision 1.12  2002/08/18 13:39:08  blues
one more license fix

Revision 1.11  2002/08/18 13:31:45  blues
- release 5 - license fix

Revision 1.10  2002/05/28 08:06:14  qboosh
- removed /sbin dir from package; release 4

Revision 1.9  2002/05/25 07:16:55  kloczek
- simplifications, more macros and use new %doc ifrastructure.

Revision 1.8  2002/02/23 03:36:24  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/08 15:14:01  qboosh
- changed Requires: pcmcia-cs to Prereq, don't call chkconfig for pcmcia; release 3

Revision 1.4  2001/09/24 14:56:56  qboosh
- release 2: Prereq: /usr/sbin/chkconfig; call chkconfig --del on remove

Revision 1.3  2001/07/26 05:42:10  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.1  2001/01/22 11:47:44  serek
- initial PLD spec, ready for building.
